read "MHLBBGCD.mpl":
read "TestQuestions.mpl":

abar := 3*(x1^2+x2+x3+1);
bbar := 2*(x1+x2^2+x3+1);
g := 2*(7*x2-3*x3)*(2*x1+4*x2+1)*(x1-x3)^3;

A := abar*g;
B := bbar*g;

#Create black boxes

X := [x1,x2,x3];
Ba := bbpolygen(abar,g,X);
Bb := bbpolygen(bbar,g,X);

print("We compute the (monic) primitive part in x1 of the GCD to be:");

G := BBMGCD(Ba,Bb,X,1);

factor(G);

print("We compute the (monic) GCD to be:");

G2 := BBMGCD(Ba,Bb,X,2);

factor(G2);
